## ignition-rendering6 6.1.0

=== examples/depth_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-depth-camera)
find_package(ignition-rendering6 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

add_executable(depth_camera Main.cc GlutWindow.cc)

target_link_libraries(depth_camera
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

add_custom_command(TARGET depth_camera POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_SOURCE_DIR}/media
  $<TARGET_FILE_DIR:depth_camera>/media)

=== examples/heightmap/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-heightmap)
find_package(ignition-rendering6 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

add_executable(heightmap Main.cc GlutWindow.cc)

target_link_libraries(heightmap
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

add_custom_command(TARGET heightmap POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_SOURCE_DIR}/media
  $<TARGET_FILE_DIR:heightmap>/media)

=== examples/lidar_visual/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-lidar_visual)
find_package(ignition-rendering6 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

add_executable(lidar_visual Main.cc GlutWindow.cc)

target_link_libraries(lidar_visual
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

=== src/base/media/CMakeLists.txt ===
add_subdirectory(materials)

=== debian/changelog ===
ignition-rendering6 (6.1.0-1~buster) buster; urgency=medium

  * ignition-rendering6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Dec 2021 09:25:35 -0800

ignition-rendering6 (6.0.1-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 01 Oct 2021 10:30:30 -0700

ignition-rendering6 (6.0.0-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Sep 2021 15:19:41 -0700

ignition-rendering6 (6.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 02:34:43 -0700

ignition-rendering6 (6.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 Sep 2021 21:47:58 -0700

ignition-rendering6 (5.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:55 -0700

=== debian/control ===
Source: ignition-rendering6
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               freeglut3-dev,
               libglew-dev,
               libfreeimage-dev,
               libignition-cmake2-dev (>= 2.3.0),
               libignition-common4-events-dev,
               libignition-common4-graphics-dev,
               libignition-math6-dev (>= 6.6.0),
               libignition-math6-eigen3-dev (>= 6.6.0),
               libignition-plugin-dev,
               libogre-1.9-dev,
               libogre-2.2-dev
Vcs-Browser: https://github.com/ignition-release/ign-rendering6-release
Vcs-Git: https://github.com/ignition-release/ign-rendering6-release
Homepage: http://ignitionrobotics.org/

Package: libignition-rendering6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Shared library
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

# Only for the examples:
#
#        libfreeimage-dev,
#        freeglut3-dev,
#        libglew-dev,

Package: libignition-rendering6-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.3.0),
         libignition-common4-events-dev,
         libignition-common4-graphics-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-math6-eigen3-dev (>= 6.6.0),
         libignition-rendering6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions - Core development files
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Core development files

Package: libignition-rendering6-ogre1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.3.0),
         libignition-common4-events-dev,
         libignition-common4-graphics-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-math6-eigen3-dev (>= 6.6.0),
         libogre-1.9-dev,
         libignition-rendering6-core-dev (= ${binary:Version}),
         libignition-rendering6-ogre1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Ogre1 component development files

Package: libignition-rendering6-ogre1
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Ogre1 component shared library

Package: libignition-rendering6-ogre2-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.3.0),
         libignition-common4-events-dev,
         libignition-common4-graphics-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-math6-eigen3-dev (>= 6.6.0),
         libogre-2.2-dev,
         libignition-rendering6-core-dev (= ${binary:Version}),
         libignition-rendering6-ogre2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Ogre2 component development files

Package: libignition-rendering6-ogre2
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Ogre2 component shared library

Package: libignition-rendering6-dev
Architecture: any
Section: libdevel
Depends: libignition-rendering6-core-dev (= ${binary:Version}),
         libignition-rendering6-ogre1-dev (= ${binary:Version}),
         libignition-rendering6-ogre2-dev (= ${binary:Version}),
         libignition-rendering6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Metapackage
  Ignition rendering3 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Metapackage for development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

EXTRA_CMAKE_FLAGS =
ifneq (,$(filter $(DEB_HOST_ARCH_CPU), arm64 arm))
    EXTRA_CMAKE_FLAGS = -DIGN_ADD_fPIC_TO_LIBRARIES=True
endif

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo $(EXTRA_CMAKE_FLAGS)

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre.hh
	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre2.hh

# test cannot run in parallel
override_dh_auto_test:
	true
	#dh_auto_test --max-parallel=1

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/OGRE-2.1

## ignition-rendering6 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-rendering6 VERSION 6.5.1)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.12.1 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Set up the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

set(CMAKE_CXX_STANDARD 14)
option(USE_UNOFFICIAL_OGRE_VERSIONS "Accept unsupported Ogre versions in the build" OFF)

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.9)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4 REQUIRED
  COMPONENTS graphics events)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS all)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find FreeImage
ign_find_package(FreeImage VERSION 3.9
  REQUIRED_BY optix
  PRIVATE_FOR optix)

#--------------------------------------
# Find OpenGL
# See CMP0072 for more details (cmake --help-policy CMP0072)
if ((NOT ${CMAKE_VERSION} VERSION_LESS 3.11) AND (NOT OpenGL_GL_PREFERENCE))
  set(OpenGL_GL_PREFERENCE "GLVND")
endif()

ign_find_package(OpenGL
  REQUIRED_BY ogre ogre2
  PKGCONFIG gl)

if (OpenGL_FOUND)
  set(HAVE_OPENGL TRUE)
endif()

#--------------------------------------
# Find OGRE
list(APPEND ign_ogre_components "RTShaderSystem" "Terrain" "Overlay" "Paging")

ign_find_package(IgnOGRE VERSION 1.9.0
  COMPONENTS ${ign_ogre_components}
  REQUIRED_BY ogre
  PRIVATE_FOR ogre)

# Ogre versions greater than 1.9.x are not officialy supported.
# Display a warning for the users on this setup unless they provide
# USE_UNOFFICIAL_OGRE_VERSIONS flag
if (OGRE_FOUND AND NOT USE_UNOFFICIAL_OGRE_VERSIONS)
  if (${OGRE_VERSION} VERSION_GREATER_EQUAL 1.10.0)
    IGN_BUILD_WARNING("Ogre 1.x versions greater than 1.9 are not officially supported."
                      "The software might compile and even work but support from upstream"
                      "could be reduced to accepting patches for newer versions")
  endif()
endif()

if (OGRE_FOUND)
  # find boost - mainly needed on macOS and also by the terrain component
  find_package(Boost)
  if (Boost_FOUND)
    include_directories(${Boost_INCLUDE_DIRS})
  endif()

  set(HAVE_OGRE TRUE)
endif()

#--------------------------------------
# Find OGRE2: first try to find OGRE2 built with PlanarReflections support and
# fallback to look for OGRE2 without it. Both seems to works for ign-rendering.
# See https://github.com/ignitionrobotics/ign-rendering/issues/597
ign_find_package(IgnOGRE2 VERSION 2.2.0
    COMPONENTS HlmsPbs HlmsUnlit Overlay PlanarReflections
    PRIVATE_FOR ogre2
    QUIET)

if ("${OGRE2-PlanarReflections}" STREQUAL "OGRE2-PlanarReflections-NOTFOUND")
  message(STATUS "PlanarReflections component was not found. Try looking without it:")
  ign_find_package(IgnOGRE2 VERSION 2.2.0
    COMPONENTS HlmsPbs HlmsUnlit Overlay
    REQUIRED_BY ogre2
    PRIVATE_FOR ogre2)
endif()

if (OGRE2_FOUND)
  set(HAVE_OGRE2 TRUE)
endif()

# Plugin install dirs
set(IGNITION_RENDERING_ENGINE_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
)

#--------------------------------------
# Find dependencies that we ignore for Visual Studio
if(NOT MSVC)
  #--------------------------------------
  # Find CUDA
  find_package(CUDA)

  #--------------------------------------
  # Find OptiX
  ign_find_package(OptiX VERSION 3.8.0
      REQUIRED_BY optix
      PRIVATE_FOR optix)

  if (OptiX_FOUND AND CUDA_FOUND)
    set(HAVE_OPTIX TRUE)
  endif()
endif()

#####################################
# Define compile-time default variables
if(MSVC)
  set(IGN_RENDERING_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR})
else()
  set(IGN_RENDERING_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif()

set(IGN_RENDERING_RESOURCE_PATH ${CMAKE_INSTALL_PREFIX}/${IGN_DATA_INSTALL_DIR})

#============================================================================
# Configure the build
#============================================================================
if (HAVE_OGRE)
  list(APPEND RENDERING_COMPONENTS ogre)
endif()

if (HAVE_OPTIX)
  list(APPEND RENDERING_COMPONENTS optix)
endif()

if (HAVE_OGRE2)
  list(APPEND RENDERING_COMPONENTS ogre2)
endif()

configure_file("${PROJECT_SOURCE_DIR}/cppcheck.suppress.in"
               ${PROJECT_BINARY_DIR}/cppcheck.suppress)

ign_configure_build(QUIT_IF_BUILD_ERRORS
    COMPONENTS ${RENDERING_COMPONENTS})

if (HAVE_OGRE2)
  # Must be done after ign_configure_build or else Terra
  # won't see IGN_ADD_fPIC_TO_LIBRARIES
  add_subdirectory(ogre2/src/terrain/Terra)
endif()

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  IMAGE_PATH_DIRS "${CMAKE_SOURCE_DIR}/tutorials/img"
  TAGFILES
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
)

file(COPY ${CMAKE_SOURCE_DIR}/tutorials/img/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/img/)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  gpu_rays.cc
  boundingbox_camera.cc
  depth_camera.cc
  camera.cc
  render_pass.cc
  shadows.cc
  scene.cc
  segmentation_camera.cc
  sky.cc
  thermal_camera.cc
  lidar_visual.cc
)

link_directories(${PROJECT_BINARY_DIR}/test)

# Test symbols having the right name on linux only
if (UNIX AND NOT APPLE)
  configure_file(all_symbols_have_version.bash.in ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash @ONLY)
  add_test(NAME INTEGRATION_versioned_symbols
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash $<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>)

  foreach(comp ${RENDERING_COMPONENTS})
   set(comp_target_name "${PROJECT_LIBRARY_TARGET_NAME}-${comp}")
   add_test(NAME "INTEGRATION_versioned_symbols_${comp}"
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash $<TARGET_FILE:${comp_target_name}>)
  endforeach()
endif()

ign_build_tests(TYPE INTEGRATION SOURCES ${tests})

=== debian/changelog ===
ignition-rendering6 (6.5.1-2~focal) focal; urgency=medium

  * ignition-rendering6 6.5.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 19:45:48 -0700

ignition-rendering6 (6.5.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.5.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 28 Jul 2022 09:50:43 -0700

ignition-rendering6 (6.5.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 15 Jun 2022 11:04:11 -0700

ignition-rendering6 (6.4.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 12 May 2022 14:26:39 -0700

ignition-rendering6 (6.3.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.3.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Apr 2022 01:44:00 +0200

ignition-rendering6 (6.3.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.3.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Wed, 06 Apr 2022 14:59:47 -0700

ignition-rendering6 (6.2.2~pre2-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.2~pre2-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 18:35:03 +0200

ignition-rendering6 (6.2.2~pre1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.2~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 17:15:01 +0200

ignition-rendering6 (6.2.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 24 Feb 2022 09:53:44 -0800

ignition-rendering6 (6.2.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 28 Jan 2022 16:05:13 -0800

ignition-rendering6 (6.2.0~pre1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 26 Jan 2022 14:34:27 -0800

ignition-rendering6 (6.1.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Dec 2021 09:25:35 -0800

ignition-rendering6 (6.0.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 01 Oct 2021 10:30:30 -0700

ignition-rendering6 (6.0.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Sep 2021 15:19:41 -0700

ignition-rendering6 (6.0.0~pre2-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 02:34:43 -0700

ignition-rendering6 (6.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 Sep 2021 21:47:57 -0700

ignition-rendering6 (5.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:55 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

EXTRA_CMAKE_FLAGS =
ifneq (,$(filter $(DEB_HOST_ARCH_CPU), arm64 arm))
    EXTRA_CMAKE_FLAGS = -DIGN_ADD_fPIC_TO_LIBRARIES=True
endif

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DSKIP_optix=true \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo $(EXTRA_CMAKE_FLAGS)

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre.hh
	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre2.hh

override_dh_auto_test:
	true

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/OGRE-2.2 -l/usr/lib/$(DEB_HOST_MULTIARCH)/OGRE-NEXT

## ignition-rendering6 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,22 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-rendering6 VERSION 6.5.1)
+project(ignition-rendering6 VERSION 6.6.1)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.12.1 REQUIRED)
+find_package(ignition-cmake2 2.14.0 REQUIRED)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
 # Set up the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/rendering
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options
@@ -118,7 +121,7 @@
 
 # Plugin install dirs
 set(IGNITION_RENDERING_ENGINE_INSTALL_DIR
-  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
+  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${GZ_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
 )
 
 #--------------------------------------

=== debian/changelog ===
ignition-rendering6 (6.6.1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.6.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 01 Sep 2023 15:44:27 -0500

ignition-rendering6 (6.6.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.6.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 02 Feb 2023 12:21:38 -0800

ignition-rendering6 (6.5.2-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.2-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 19 Jan 2023 11:59:12 -0800

ignition-rendering6 (6.5.1-2~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 19:45:48 -0700

ignition-rendering6 (6.5.1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 28 Jul 2022 09:50:43 -0700

ignition-rendering6 (6.5.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 15 Jun 2022 11:04:11 -0700

ignition-rendering6 (6.4.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 12 May 2022 14:26:39 -0700

ignition-rendering6 (6.3.1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.3.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Apr 2022 01:43:59 +0200

ignition-rendering6 (6.3.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.3.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Wed, 06 Apr 2022 14:59:47 -0700

ignition-rendering6 (6.2.2~pre2-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.2.2~pre2-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 18:35:03 +0200

ignition-rendering6 (6.2.2~pre1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.2.2~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 17:15:01 +0200

ignition-rendering6 (6.2.1+osrf-1~jammy) jammy; urgency=medium

  * First release for jammy

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 Mar 2022 20:35:24 +0100
